{"openapi":"3.0.4","info":{"title":"Get explanation of a derived property formula","description":"Produces a manifest that shows the nested hierarchy of any source properties and the actions taken upon them to create the derived property.\r\nThis can either be done against an existing entity, which will produce a manifest that includes the values of the source properties\r\nat the specified effective date time, or it can be done without providing an entity which will produce a manifest without values.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/propertydefinitions/derived/$formulaExplanation":{"post":{"tags":["Property Definitions"],"summary":"Get explanation of a derived property formula","description":"Produces a manifest that shows the nested hierarchy of any source properties and the actions taken upon them to create the derived property.\r\nThis can either be done against an existing entity, which will produce a manifest that includes the values of the source properties\r\nat the specified effective date time, or it can be done without providing an entity which will produce a manifest without values.","operationId":"GetDerivedFormulaExplanation","parameters":[{"name":"asAt","in":"query","description":"The asAt datetime at which to resolve the entity. Defaults to returning the latest asAt in LUSID\r\n            if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"effectiveAt","in":"query","description":"The effective datetime or cut label at which to resolve the entity. Defaults to the current LUSID\r\n            system datetime if not specified.","schema":{"type":"string","format":"dateorcutlabel"}}],"requestBody":{"description":"Information about the derivation formula to explain, and optionally, the entity to resolve the formula against.","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DerivationFormulaExplainRequest"},"example":{"entityType":"Instrument","scope":"MyScope","identifier":{"Instrument/default/Figi":"some-figi-code"},"propertyKey":"Instrument/demo/A"}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DerivationFormulaExplainRequest"},"example":{"entityType":"Instrument","scope":"MyScope","identifier":{"Instrument/default/Figi":"some-figi-code"},"propertyKey":"Instrument/demo/A"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DerivationFormulaExplainRequest"},"example":{"entityType":"Instrument","scope":"MyScope","identifier":{"Instrument/default/Figi":"some-figi-code"},"propertyKey":"Instrument/demo/A"}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DerivationFormulaExplainRequest"},"example":{"entityType":"Instrument","scope":"MyScope","identifier":{"Instrument/default/Figi":"some-figi-code"},"propertyKey":"Instrument/demo/A"}}},"required":true},"responses":{"200":{"description":"The requested derived property formula components.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DerivedPropertyComponent"},"example":{"component":"Properties[Instrument/demo/A]","displayName":"DerivedPropertyA","type":"DerivedProperty","value":{"labelValue":"Apple-test"},"derivationFormula":"if(Properties[Instrument/demo/B] gt Properties[Instrument/demo/C]) then 'foo' else concat(Name, '-test')","subComponents":[{"component":"Properties[Instrument/demo/B] gt Properties[Instrument/demo/C]","displayName":"Properties[Instrument/demo/B] gt Properties[Instrument/demo/C]","type":"PartialFormula","value":{"labelValue":"false"},"subComponents":[{"component":"Properties[Instrument/demo/B]","displayName":"PropertyB","type":"Variable","value":{"labelValue":"29.00"}},{"component":"Properties[Instrument/demo/C]","displayName":"PropertyC","type":"DerivedProperty","value":{"labelValue":"67.00"},"derivationFormula":"Properties[Instrument/demo/D] + Properties[Instrument/demo/E]","subComponents":[{"component":"Properties[Instrument/demo/D]","displayName":"PropertyD","type":"Variable","value":{"labelValue":"12.00"}},{"component":"Properties[Instrument/demo/E]","displayName":"PropertyE","type":"Variable","value":{"labelValue":"55.00"}}]}]},{"component":"foo","displayName":"foo","type":"Literal","value":{"labelValue":"foo"}},{"component":"concat(Name, '-test')","displayName":"concat(Name, '-test')","type":"PartialFormula","value":{"labelValue":"Apple-test"},"subComponents":[{"component":"Name","displayName":"Name","type":"Variable","value":{"labelValue":"Apple"}},{"component":"-test","displayName":"-test","type":"Literal","value":{"labelValue":"-test"}}]}]}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DerivedPropertyComponent"},"example":{"component":"Properties[Instrument/demo/A]","displayName":"DerivedPropertyA","type":"DerivedProperty","value":{"labelValue":"Apple-test"},"derivationFormula":"if(Properties[Instrument/demo/B] gt Properties[Instrument/demo/C]) then 'foo' else concat(Name, '-test')","subComponents":[{"component":"Properties[Instrument/demo/B] gt Properties[Instrument/demo/C]","displayName":"Properties[Instrument/demo/B] gt Properties[Instrument/demo/C]","type":"PartialFormula","value":{"labelValue":"false"},"subComponents":[{"component":"Properties[Instrument/demo/B]","displayName":"PropertyB","type":"Variable","value":{"labelValue":"29.00"}},{"component":"Properties[Instrument/demo/C]","displayName":"PropertyC","type":"DerivedProperty","value":{"labelValue":"67.00"},"derivationFormula":"Properties[Instrument/demo/D] + Properties[Instrument/demo/E]","subComponents":[{"component":"Properties[Instrument/demo/D]","displayName":"PropertyD","type":"Variable","value":{"labelValue":"12.00"}},{"component":"Properties[Instrument/demo/E]","displayName":"PropertyE","type":"Variable","value":{"labelValue":"55.00"}}]}]},{"component":"foo","displayName":"foo","type":"Literal","value":{"labelValue":"foo"}},{"component":"concat(Name, '-test')","displayName":"concat(Name, '-test')","type":"PartialFormula","value":{"labelValue":"Apple-test"},"subComponents":[{"component":"Name","displayName":"Name","type":"Variable","value":{"labelValue":"Apple"}},{"component":"-test","displayName":"-test","type":"Literal","value":{"labelValue":"-test"}}]}]}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DerivedPropertyComponent"},"example":{"component":"Properties[Instrument/demo/A]","displayName":"DerivedPropertyA","type":"DerivedProperty","value":{"labelValue":"Apple-test"},"derivationFormula":"if(Properties[Instrument/demo/B] gt Properties[Instrument/demo/C]) then 'foo' else concat(Name, '-test')","subComponents":[{"component":"Properties[Instrument/demo/B] gt Properties[Instrument/demo/C]","displayName":"Properties[Instrument/demo/B] gt Properties[Instrument/demo/C]","type":"PartialFormula","value":{"labelValue":"false"},"subComponents":[{"component":"Properties[Instrument/demo/B]","displayName":"PropertyB","type":"Variable","value":{"labelValue":"29.00"}},{"component":"Properties[Instrument/demo/C]","displayName":"PropertyC","type":"DerivedProperty","value":{"labelValue":"67.00"},"derivationFormula":"Properties[Instrument/demo/D] + Properties[Instrument/demo/E]","subComponents":[{"component":"Properties[Instrument/demo/D]","displayName":"PropertyD","type":"Variable","value":{"labelValue":"12.00"}},{"component":"Properties[Instrument/demo/E]","displayName":"PropertyE","type":"Variable","value":{"labelValue":"55.00"}}]}]},{"component":"foo","displayName":"foo","type":"Literal","value":{"labelValue":"foo"}},{"component":"concat(Name, '-test')","displayName":"concat(Name, '-test')","type":"PartialFormula","value":{"labelValue":"Apple-test"},"subComponents":[{"component":"Name","displayName":"Name","type":"Variable","value":{"labelValue":"Apple"}},{"component":"-test","displayName":"-test","type":"Literal","value":{"labelValue":"-test"}}]}]}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}